## exiv2 0.16

=== doc/Makefile ===
# ***************************************************** -*- Makefile -*-
#
# Copyright (C) 2004-2008 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1366 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Simple Makefile to build the doxygen documentation
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: doc

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# **********************************************************************
# Targets
.PHONY: all doc doxygen tags mostlyclean clean distclean maintainer-clean

doc: doxygen tags

doxygen:
	doxygen $(top_srcdir)/config/Doxyfile

tags:
	cd $(top_srcdir)/doc/templates && $(MAKE) all
	cp -f $(top_srcdir)/doc/templates/*.html $(top_srcdir)/doc/html/

mostlyclean clean:
	$(RM) *~ *.bak *#

distclean: clean
	cd $(top_srcdir)/doc/templates && $(MAKE) $(MAKECMDGOALS)

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean
	rm -rf $(top_srcdir)/doc/html/*

=== samples/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2008 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1366 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   08-Oct-07, ahu: created
#
# Description:
#  Simple Makefile to build sample programs. Requires installed exiv2 library
#  and headers. Adapted from the main Exiv2 src/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: samples

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add source files of sample programs to this list
BINSRC = addmoddel.cpp        \
         crwedit.cpp          \
         crwparse.cpp         \
         dataarea-test.cpp    \
         exifcomment.cpp      \
         exifdata-test.cpp    \
         exifprint.cpp        \
         ifd-test.cpp         \
         iotest.cpp           \
         iptceasy.cpp         \
         iptcprint.cpp        \
         iptctest.cpp         \
         key-test.cpp         \
         largeiptc-test.cpp   \
         makernote-test.cpp   \
         write-test.cpp       \
         write2-test.cpp      \
         tiffparse.cpp        \
         xmpparse.cpp         \
         xmpparser-test.cpp   \
         xmpsample.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := `pkg-config exiv2 --cflags`
LDFLAGS := `pkg-config exiv2 --libs`

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(BINSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
samples: $(BINARY)

$(BINOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(BINARY): %: %.o
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $@.o

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all relink binclean mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

relink: binclean samples

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(EXECUTABLE)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	-rmdir .libs
	$(RM) $(BINOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

=== src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2008 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1366 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Do NOT change this file! All system specific settings and configs
#  go into config.mk.
#
#  This makefile contains (supposedly) generic build rules to build the
#  library and applications. It includes all system specific settings
#  from config.mk. The idea is that configuring and porting the
#  software to a new platform should only require changes in config.mk.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: bin

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add standalone C++ header files to this list
CCHDR =  exv_conf.h           \
         exv_msvc.h           \
         mn.hpp               \
         rcsid.hpp            \
         tifffwd.hpp          \
         version.hpp

# Add library C++ source files to this list
CCSRC =  basicio.cpp          \
	 canonmn.cpp          \
	 cr2image.cpp         \
	 crwimage.cpp         \
	 datasets.cpp         \
	 error.cpp            \
	 exif.cpp             \
	 futils.cpp           \
	 fujimn.cpp           \
	 ifd.cpp              \
	 image.cpp            \
	 iptc.cpp             \
	 jpgimage.cpp         \
	 makernote.cpp        \
	 makernote2.cpp       \
	 metadatum.cpp        \
	 minoltamn.cpp        \
	 mrwimage.cpp         \
	 nikonmn.cpp          \
	 olympusmn.cpp        \
	 orfimage.cpp         \
	 panasonicmn.cpp
ifdef HAVE_LIBZ
CCSRC += pngimage.cpp         \
	 pngchunk.cpp
endif
CCSRC += rafimage.cpp         \
	 sigmamn.cpp          \
	 pentaxmn.cpp         \
	 sonymn.cpp           \
	 tags.cpp             \
	 tiffcomposite.cpp    \
	 tiffimage.cpp        \
	 tiffparser.cpp       \
	 tiffvisitor.cpp      \
	 types.cpp            \
	 value.cpp            \
	 version.cpp          \
         properties.cpp       \
	 xmp.cpp

# Add library C source files to this list
ifndef HAVE_TIMEGM
CSRC =   localtime.c
endif

# Add source files of simple applications to this list
BINSRC = taglist.cpp

# Source files for the Exiv2 application
EXIV2MAIN = exiv2.cpp
EXIV2SRC  = actions.cpp       \
            utils.cpp
# C source files for the Exiv2 application
ifndef HAVE_TIMEGM
EXIVCSRC  = localtime.c
endif

# Source files for the metacopy sample application
MCMAIN = metacopy.cpp
MCSRC  = utils.cpp

# ******************************************************************************
# Library
LIBRARY = libexiv2.la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS += $(XMPSDK_CPPFLAGS)
LDFLAGS += $(EXPAT_LDFLAGS) $(XMPSDK_LDFLAGS)
LIBS += $(EXPAT_LIBS) $(XMPSDK_LIBS)

# Generic variables
CCHDR := $(CCHDR) $(CCSRC:.cpp=.hpp)
CCOBJ = $(CCSRC:.cpp=.o)
CCLOBJ = $(CCSRC:.cpp=.lo)

COBJ = $(CSRC:.c=.o)
CLOBJ = $(CSRC:.c=.lo)

SRC = $(CCSRC) $(CSRC)
HDR = $(CCHDR)
OBJ = $(CCOBJ) $(COBJ)
LOBJ = $(CCLOBJ) $(CLOBJ)

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

EXIV2OBJ = $(EXIV2MAIN:.cpp=.o) $(EXIV2SRC:.cpp=.o)
EXIV2COBJ = $(EXIVCSRC:.c=.o)
EXIV2BIN = $(EXIV2MAIN:.cpp=)
EXIV2EXE = $(EXIV2MAIN:.cpp=$(EXEEXT))

MCOBJ = $(MCMAIN:.cpp=.o) $(MCSRC:.cpp=.o)
MCBIN = $(MCMAIN:.cpp=)
MCEXE = $(MCMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d) $(CSRC:%.c=$(DEPDIR)/%.d) \
      $(BINSRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIV2MAIN:%.cpp=$(DEPDIR)/%.d) $(EXIV2SRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIVCSRC:%.c=$(DEPDIR)/%.d) $(MCMAIN:%.cpp=$(DEPDIR)/%.d) \
      $(MCSRC:%.cpp=$(DEPDIR)/%.d) $(DEPDIR)/path-test.d

endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(COBJ): %.o: %.c
	@$(LIBTOOL) --mode=compile $(COMPILE.c) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(sort $(BINOBJ) $(EXIV2OBJ) $(MCOBJ) path-test.o): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.o: %.c
	$(COMPILE.c) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all bin check ctags doc                                        \
        clean mostlyclean distclean maintainer-clean                   \
        install install-header install-lib                             \
        uninstall uninstall-header uninstall-lib

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

actions.cpp basicio.cpp exif.cpp exiv2.cpp futils.cpp image.cpp jpgimage.cpp utils.cpp: exv_conf.h

exv_conf.h: $(top_srcdir)/config/config.h
	sed 's/#define \([A-Z]\)/#define EXV_\1/; s/#undef \([A-Z]\)/#undef EXV_\1/' < $< > $@

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

bin: lib $(BINARY) $(EXIV2BIN) $(MCBIN) path-test

lib: $(OBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ) -rpath $(libdir) -version-info $(EXIV2_LTVERSION) $(LIBS)
	@touch lib

path-test: path-test.o utils.o
	$(CXX) $(CXXFLAGS) path-test.o utils.o -o $@

$(BINARY): %: %.o lib
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $@.o -rpath $(libdir)

$(EXIV2BIN): lib $(EXIV2OBJ) $(EXIV2COBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(EXIV2OBJ) $(EXIV2COBJ) -rpath $(libdir)

$(MCBIN): lib $(MCOBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(MCOBJ) -rpath $(libdir)

install-header:
	$(INSTALL_DIRS) $(DESTDIR)$(incdir)
	@list='$(HDR)'; for p in $$list; do \
	    if test -f $$p; then \
	        echo "$(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p"; \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p; \
	    else :; fi; \
	done

install-lib: lib install-header
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)
	@$(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIBRARY) $(DESTDIR)$(libdir)/$(LIBRARY)
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) $(top_srcdir)/config/exiv2.pc $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc

install: $(EXIV2BIN) install-lib
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(EXIV2EXE) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	$(INSTALL_DIRS) $(DESTDIR)$(mandir)
	$(INSTALL_DIRS) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) exiv2.1 $(DESTDIR)$(man1dir)/exiv2.1

uninstall-header:
	@list='$(HDR)'; for p in $$list; do \
	    echo "$(RM) $(DESTDIR)$(incdir)/$$p"; \
	    $(RM) $(DESTDIR)$(incdir)/$$p; \
	done
	-rmdir $(DESTDIR)$(incdir)

uninstall-lib: uninstall-header
	$(RM) $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc
	-rmdir $(DESTDIR)$(libdir)/pkgconfig
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY)
	-rmdir $(DESTDIR)$(libdir)

uninstall: uninstall-lib
	$(RM) $(DESTDIR)$(man1dir)/exiv2.1
	-rmdir $(DESTDIR)$(man1dir)
	-rmdir $(DESTDIR)$(mandir)
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	-rmdir $(DESTDIR)$(bindir)

ctags:
	ebrowse $(HDR) $(SRC)
#	ctags-exuberant --extra=+q -e *
#	ctags-exuberant --extra=+q *

check:
	@echo "No checks available for this library."

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) lib
	$(RM) path-test.o
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ) $(sort $(BINOBJ) $(EXIV2OBJ) $(EXIV2COBJ) $(MCOBJ))

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)
	@$(LIBTOOL) --mode=clean $(RM) $(EXECUTABLE) $(EXIV2EXE) $(MCEXE)
	@$(LIBTOOL) --mode=clean $(RM) path-test$(EXEEXT)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
	$(RM) exv_conf.h doxygen.hpp
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) tags TAGS
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean

=== doc/templates/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2008 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1366 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   28-May-05, ahu: created
#
# Description:
#  Simple Makefile to create html documentation from templates. Requires
#  some special tools (awk, python, xsltproc) but really only needs to 
#  be used to update the documentation after changing Exiv2 tags in the
#  source code.
#
# Restrictions:
#  Only tested with GNU make.
#

TABLES = Exif \
         Canon CanonCs CanonSi CanonCf CanonPi CanonPa \
         Fujifilm \
         Minolta MinoltaCsNew MinoltaCs5D MinoltaCs7D \
         Nikon1 Nikon2 Nikon3 \
         Olympus \
	 Panasonic \
         Pentax \
         Sigma \
         Sony

SCHEMA = dc \
         xmp \
         xmpRights \
         xmpMM \
         xmpBJ \
         xmpTPg \
         xmpDM \
         pdf \
         photoshop \
         crs \
         tiff \
         exif \
         aux \
         iptc

TAGLIST = ../../src/taglist

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# Default make target
all: tags

.PHONY: tags mostlyclean clean distclean maintainer-clean

tags: $(TABLES) Iptc $(SCHEMA)
	@./gen.py *.html.in

$(TABLES): $(TAGLIST)
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f tags.awk > $@.xml
	@xsltproc tags.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

Iptc: $(TAGLIST)
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" -e"s//\&#177;/g" \
	               | awk -f iptc.awk > $@.xml
	@xsltproc iptc.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/g" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

$(SCHEMA): $(TAGLIST)
	@echo Generating xmp_$@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f xmp.awk > xmp_$@.xml
	@xsltproc xmp.xsl xmp_$@.xml > xmp_$@.tmp
	@sed "s/report1/xmp_$@/" xmp_$@.tmp > __xmp_$@__
	@touch xmp_$@
	@rm -f xmp_$@.tmp

$(TAGLIST): 
	$(error File $(TAGLIST) does not exist. Did you build the library and programs in the src/ directory?)

mostlyclean:
	rm -f *.xml
	rm -f *.tmp

clean: mostlyclean
	rm -f $(TABLES:%=__%__) __Iptc__
	rm -f $(TABLES) Iptc
	rm -f $(SCHEMA:%=__xmp_%__)
	rm -f $(SCHEMA:%=xmp_%)
	rm -f *.html

distclean: clean
	rm -f *~

maintainer-clean: distclean

=== xmpsdk/src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2008 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 1366 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   30-Sep-07, ahu: created
#
# Description:
#  Makefile to build the Adobe XMP Toolkit integrated and distributed with
#  Exiv2. Adapted from the main Exiv2 src/Makefile. This builds what the
#  libtool manual calls a "convenience library".
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: xmpsdk

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add library C++ source files to this list
CCSRC = XMPMeta.cpp            \
        XMPMeta-GetSet.cpp     \
        XMPMeta-Parse.cpp      \
        XMPMeta-Serialize.cpp  \
        XMPIterator.cpp        \
        XMPUtils.cpp           \
        XMPUtils-FileInfo.cpp  \
        XMPCore_Impl.cpp       \
        ExpatAdapter.cpp       \
        ParseRDF.cpp           \
        UnicodeConversions.cpp \
        MD5.cpp                \
        WXMPMeta.cpp           \
        WXMPIterator.cpp       \
        WXMPUtils.cpp

# ******************************************************************************
# Library
LIBRARY := lib$(XMPSDK_LIBRARY).la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

# For a debug build, replace -DNDEBUG=1 with -DDEBUG=1 -D_DEBUG=1
CPPFLAGS += -I../include -funsigned-char -DNDEBUG=1 $(EXPAT_CPPFLAGS)
LDFLAGS += $(EXPAT_LDFLAGS)
LIBS += $(EXPAT_LIBS)

# Generic variables
CCOBJ = $(CCSRC:.cpp=.o)
LOBJ = $(CCSRC:.cpp=.lo)

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

xmpsdk: $(LIBRARY)

$(LIBRARY): $(CCOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ)

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

## exiv2 0.17.1

=== samples/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1398 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -55,6 +55,7 @@
 
 # Add source files of sample programs to this list
 BINSRC = addmoddel.cpp        \
+         convert-test.cpp     \
          crwedit.cpp          \
          crwparse.cpp         \
          dataarea-test.cpp    \
@@ -69,6 +70,7 @@
          key-test.cpp         \
          largeiptc-test.cpp   \
          makernote-test.cpp   \
+         stringto-test.cpp    \
          write-test.cpp       \
          write2-test.cpp      \
          tiffparse.cpp        \

=== src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1404 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -68,7 +68,9 @@
 
 # Add library C++ source files to this list
 CCSRC =  basicio.cpp          \
+	 bmpimage.cpp         \
 	 canonmn.cpp          \
+	 convert.cpp          \
 	 cr2image.cpp         \
 	 crwimage.cpp         \
 	 datasets.cpp         \
@@ -76,9 +78,11 @@
 	 exif.cpp             \
 	 futils.cpp           \
 	 fujimn.cpp           \
+	 gifimage.cpp         \
 	 ifd.cpp              \
 	 image.cpp            \
 	 iptc.cpp             \
+	 jp2image.cpp         \
 	 jpgimage.cpp         \
 	 makernote.cpp        \
 	 makernote2.cpp       \
@@ -93,11 +97,13 @@
 CCSRC += pngimage.cpp         \
 	 pngchunk.cpp
 endif
-CCSRC += rafimage.cpp         \
+CCSRC += psdimage.cpp         \
+	 rafimage.cpp         \
 	 sigmamn.cpp          \
 	 pentaxmn.cpp         \
 	 sonymn.cpp           \
 	 tags.cpp             \
+	 tgaimage.cpp         \
 	 tiffcomposite.cpp    \
 	 tiffimage.cpp        \
 	 tiffparser.cpp       \
@@ -105,8 +111,9 @@
 	 types.cpp            \
 	 value.cpp            \
 	 version.cpp          \
-         properties.cpp       \
-	 xmp.cpp
+	 properties.cpp       \
+	 xmp.cpp              \
+	 xmpsidecar.cpp
 
 # Add library C source files to this list
 ifndef HAVE_TIMEGM
@@ -119,7 +126,7 @@
 # Source files for the Exiv2 application
 EXIV2MAIN = exiv2.cpp
 EXIV2SRC  = actions.cpp       \
-            utils.cpp
+	    utils.cpp
 # C source files for the Exiv2 application
 ifndef HAVE_TIMEGM
 EXIVCSRC  = localtime.c

## exiv2 0.17.1-1

=== debian/changelog ===
exiv2 (0.17.1-1) unstable; urgency=medium

  * New upstream release
    - Library transition cleared on debian-release/ d-d-a
  * Version 0.17 also fixes:
    - CVE-2008-2696: DoS via metadata in images (Closes: #486328)
    - crashes when fed with wrong file (Closes: #485670)
  * Urgency medium for CVE fix
  * debian/patches/gcc4.3.diff unecessary for gcc-4.3
  * Add /usr/share/bug/exiv2/presubj message for reportbug(1)

 -- Mark Purcell <msp@debian.org>  Sat, 21 Jun 2008 08:23:53 +1000

exiv2 (0.17-1) experimental; urgency=low

  * New upstream release
  * Switch to simple-patchsys.mk
  * Refresh & merge gcc4.3 patches
  * New Package: libexiv2-4 - soname bump
  * Add Build-Depends: libexpat1-dev
  * Upload to experimental to clear NEW processing

 -- Mark Purcell <msp@debian.org>  Tue, 10 Jun 2008 23:05:33 +1000

exiv2 (0.16-4) unstable; urgency=low

  [Ana Beatriz Guerrero Lopez]
  
  * Team upload to address FTBFS with GCC 4.3.
  * Apply patch by Cyril Brulebois to fix FTBFS with GCC 4.3.
    (Closes: #466901)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 15:42:16 +0100

exiv2 (0.16-3) unstable; urgency=low

  * Remove Conflicts/Replaces libexiv2-0 for libexiv2-2. (Closes: #463852)

 -- Fathi Boudra <fabo@debian.org>  Tue, 05 Feb 2008 00:52:35 +0100

exiv2 (0.16-2) unstable; urgency=low

  * Remove Conflicts/Replaces libexiv2-0 for libexiv2-2. (Closes: #463852)

 -- Fathi Boudra <fabo@debian.org>  Mon, 04 Feb 2008 15:39:20 +0100

exiv2 (0.16-1) unstable; urgency=low

  * New upstream release (Closes: #441524, #455633, #461009)
  * Remove patches, merged upstream:
    * CVE-2007-6353
    * Rev 1124 pull
  * Add 01_gcc4.3.diff patch. Missing std:: removal not merged upstream yet
  * Bump compat to 6
  * Update copyright file
  * Add myself in Uploaders field
  * Clean up build dependencies:
    * Remove g++ and dpkg-dev
    * Add quilt and libexpat1-dev
    * Bump debhelper to 6
  * Bump Standard-Version to 3.7.3
  * Use Homepage field
  * Add Conflicts/Replaces libexiv2-0 for libexiv2-2
  * Clean up rules
  * Add clean target (Closes: 442560)
  * Build with --no-undefined and --as-needed linker flags

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jan 2008 09:17:08 +0100

exiv2 (0.15-2) unstable; urgency=high

  [Ana Beatriz Guerrero Lopez]
  * Team upload to fix security bug.
  * Add patch to fix integer overflow in EXIF parsing.
    CVE-2007-6353 (Closes: #456760)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 17 Dec 2007 19:13:11 +0100

exiv2 (0.15-1) unstable; urgency=low

  * New upstream release
    - maintenance release, support for Minolta G500 RAW files

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jul 2007 12:20:57 +0100

exiv2 (0.14-2) unstable; urgency=medium

  * DebConf7 release :-)
  * Urgency medium as this fixes a number of crashes in digikam et al
  * Pull in upstream fixes for jpeg/tiff MSC makernote crashes
    (rev 1106/1124)

 -- Mark Purcell <msp@debian.org>  Tue, 19 Jun 2007 12:55:55 +0100

exiv2 (0.14-1) unstable; urgency=low

  * new upstream release (Closes: #414372)

  [ Achim Bohnet ]
  * 0.14 changed API: rename libexiv2-0.12 to libexiv2-0 accordingly.
  * libexiv2-dev: exiv2 has no exiv2-config script anymore.
  * debian/control:
    + Etch does not have a libexiv2 package.  So remove Replaces/Conflict.
    + libexiv2-dev: No need to depend on ${shlibs:Depends}, ${misc:Depends}
  * debian/exiv2.1 removed: included upstream.
  * debian/libexiv2-0: install message catalogs

  [ Mark Purcell ]
  * FTBFS with GCC 4.3: missing #includes (Closes: #417176)
  * Build-Depends: doxygen, graphviz, python, xsltproc
  * Reinstate libexiv2-doc, better to build with doxygen than other tarball
  * Add build/libexiv2-doc:: to debian/rules
  * Rework debian/libexiv2-dev.install
  * Rework debian/libexiv2-doc.docs
  * Rework debian/libexiv2-0.install

 -- Mark Purcell <msp@debian.org>  Wed, 09 May 2007 22:28:37 +0100

exiv2 (0.12-1) unstable; urgency=low

  * Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
  * Switch to cdbs
  * Add debian/watch
  * Ack NMU fix:
    - library package needs to be renamed (libstdc++ allocator change)
    (Closes: #339163)

 -- Mark Purcell <msp@debian.org>  Wed, 14 Mar 2007 08:12:49 +0000

exiv2 (0.10-1.4) unstable; urgency=high

  * Non-Maintainer upload. Again :-(
  * High-urgency upload for RC bugfix
  * Apply Steve Langasek patch to overcome crashes on invalid input
    - Image with corrupted metadata crashes Exiv2 (Closes: #401660)
  * Move usr/lib/*.la  libtool linkage information file to -dev package
    - file conflict with libexiv2-0.10 (Closes: #405805)
  * Move usr/lib/*.so  development linkage file to -dev package
  * Include upstream exiv2.pc in -dev package
    - exiv2.pc is missing (Closes: #396060)
  * Add libexiv2-dev Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Sun, 21 Jan 2007 21:06:27 +0000

exiv2 (0.12-0.2) experimental; urgency=low

  * Non-maintainer upload. (NMU)
  * Add Build-Depends: zlib1g-dev, thanks Kurt
    - FTBFS: checking zlib in /usr... failed (Closes: #405916)

 -- Mark Purcell <msp@debian.org>  Sun,  7 Jan 2007 12:22:39 +0000

exiv2 (0.12-0.1) experimental; urgency=medium

  * Non-mantainer upload. (NMU)
  * Urgency medium as this fixes RC bugs
  * New upstream bugfix release
    - Image with corrupted metadata crashes Exiv2 (Closes: #401660)
    - new upstream release 0.12 (Closes: #389711)
  * Include upstream exiv2.pc in debian package
    - exiv2.pc is missing (Closes: #396060)
  * Bump soname
    - file conflict with libexiv2 (Closes: #386934)

 -- Mark Purcell <msp@debian.org>  Sat, 23 Dec 2006 18:42:30 +1100

exiv2 (0.10-1.3) unstable; urgency=low

  * NMU.
  * debian/rules dh_makeshlibs -V (Closes: #386899) 

 -- Mark Purcell <msp@debian.org>  Thu, 21 Sep 2006 06:37:22 +0100

exiv2 (0.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix overly strict shlibs line. Closes: #386899


=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: KELEMEN Peter <fuji@debian.org>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 5), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 libexpat1-dev,
 python, xsltproc
Standards-Version: 3.7.3
Homepage: http://www.exiv2.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 can:
 .
  * print the Exif metadata of JPEG, TIFF and several RAW image formats as
    summary info, interpreted values, or the plain data for each tag
  * print the IPTC metadata of JPEG images
  * print, set and delete the JPEG comment of JPEG images
  * set, add and delete Exif and IPTC metadata of JPEG images
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif metadata, IPTC metadata and JPEG comments
  * extract, insert and delete the thumbnail image embedded in the Exif metadata
  * fix the Exif ISO setting of picture taken with Nikon cameras

Package: libexiv2-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exiv2
Description: EXIF/IPTC metadata manipulation library
 Exiv2 library supports:
  * full read and write access to the EXIF and IPTC metadata of an image
    through Exiv2 keys and standard C++ iterators
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * EXIF MakerNote support:
    o MakerNote tags can be accessed just like any other EXIF metadata
    o a sophisticated write algorithm avoids corrupting the MakerNote:
  * extract and delete methods for EXIF thumbnails (both, JPEG and TIFF
    thumbnails)
  * set methods for EXIF thumbnails (JPEG only, TIFF thumbnails can be set from
    individual tags)
  * complete API documentation (by Doxygen)
  * generic lower-level classes to access IFD (Image File Directory) data
    structures

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: libexiv2-4 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 C++ header files.

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
UPFILENAME = $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz
URL = http://www.exiv2.org/$(UPFILENAME)

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_INSTALL_CHANGELOGS_ALL := doc/ChangeLog
DEB_COMPRESS_EXCLUDE := .xls .js .idx .xml .php
DEB_INSTALL_DOCS_ALL := -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-undefined -Wl,--as-needed"

install/exiv2::
	/usr/bin/chrpath -d $(CURDIR)/debian/tmp/usr/bin/exiv2

clean::
	rm -rf doc/html

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

print-version:
	@@echo DEB_SOURCE_PACKAGE: $(DEB_SOURCE_PACKAGE)
	@@echo DEB_VERSION: $(DEB_VERSION)
	@@echo DEB_NO_EPOCH_VERSION: $(DEB_NOEPOCH_VERSION)
	@@echo DEB_UPSTREAM_VERSION: $(DEB_UPSTREAM_VERSION)
	@@echo FILENAME: $(FILENAME)
	@@echo URL: $(URL)

## exiv2 0.18

=== samples/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1398 $
+# Version:   $Rev: 1592 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -56,24 +56,20 @@
 # Add source files of sample programs to this list
 BINSRC = addmoddel.cpp        \
          convert-test.cpp     \
-         crwedit.cpp          \
-         crwparse.cpp         \
-         dataarea-test.cpp    \
          exifcomment.cpp      \
          exifdata-test.cpp    \
          exifprint.cpp        \
-         ifd-test.cpp         \
          iotest.cpp           \
          iptceasy.cpp         \
          iptcprint.cpp        \
          iptctest.cpp         \
          key-test.cpp         \
          largeiptc-test.cpp   \
-         makernote-test.cpp   \
+         prevtest.cpp         \
          stringto-test.cpp    \
+         tiff-test.cpp        \
          write-test.cpp       \
          write2-test.cpp      \
-         tiffparse.cpp        \
          xmpparse.cpp         \
          xmpparser-test.cpp   \
          xmpsample.cpp

=== src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1404 $
+# Version:   $Rev: 1592 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -63,7 +63,6 @@
          exv_msvc.h           \
          mn.hpp               \
          rcsid.hpp            \
-         tifffwd.hpp          \
          version.hpp
 
 # Add library C++ source files to this list
@@ -79,13 +78,11 @@
 	 futils.cpp           \
 	 fujimn.cpp           \
 	 gifimage.cpp         \
-	 ifd.cpp              \
 	 image.cpp            \
 	 iptc.cpp             \
 	 jp2image.cpp         \
 	 jpgimage.cpp         \
 	 makernote.cpp        \
-	 makernote2.cpp       \
 	 metadatum.cpp        \
 	 minoltamn.cpp        \
 	 mrwimage.cpp         \
@@ -97,7 +94,9 @@
 CCSRC += pngimage.cpp         \
 	 pngchunk.cpp
 endif
-CCSRC += psdimage.cpp         \
+CCSRC += preview.cpp          \
+	 properties.cpp       \
+	 psdimage.cpp         \
 	 rafimage.cpp         \
 	 sigmamn.cpp          \
 	 pentaxmn.cpp         \
@@ -106,12 +105,10 @@
 	 tgaimage.cpp         \
 	 tiffcomposite.cpp    \
 	 tiffimage.cpp        \
-	 tiffparser.cpp       \
 	 tiffvisitor.cpp      \
 	 types.cpp            \
 	 value.cpp            \
 	 version.cpp          \
-	 properties.cpp       \
 	 xmp.cpp              \
 	 xmpsidecar.cpp
 
@@ -121,6 +118,7 @@
 endif
 
 # Add source files of simple applications to this list
+# Todo: How can we still support crwedit.cpp, crwparse.cpp
 BINSRC = taglist.cpp
 
 # Source files for the Exiv2 application
@@ -191,12 +189,12 @@
 # ******************************************************************************
 # Rules
 $(CCOBJ): %.o: %.cpp
-	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
+	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -DEXV_BUILDING_LIB=1 -o $@ $<
 	@$(MAKEDEPEND)
 	@$(POSTDEPEND)
 
 $(COBJ): %.o: %.c
-	@$(LIBTOOL) --mode=compile $(COMPILE.c) -o $@ $<
+	@$(LIBTOOL) --mode=compile $(COMPILE.c) -DEXV_BUILDING_LIB=1 -o $@ $<
 	@$(MAKEDEPEND)
 	@$(POSTDEPEND)
 
@@ -212,7 +210,7 @@
 
 %.ii: %.cpp
 	set -e; \
-	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@
+	$(CXXCPP) $(CPPFLAGS) -DEXV_BUILDING_LIB=1 $< | sed '/^[ 	]*$$/d' > $@
 
 # ******************************************************************************
 # Targets

=== doc/templates/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1689 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   28-May-05, ahu: created
 #
@@ -50,26 +50,27 @@
          Fujifilm \
          Minolta MinoltaCsNew MinoltaCs5D MinoltaCs7D \
          Nikon1 Nikon2 Nikon3 \
-         Olympus \
+         Olympus OlympusCs OlympusEq OlympusRd OlympusRd2 \
+         OlympusIp OlympusFi OlympusFe1 OlympusRi \
 	 Panasonic \
          Pentax \
          Sigma \
          Sony
 
-SCHEMA = dc \
-         xmp \
-         xmpRights \
-         xmpMM \
-         xmpBJ \
-         xmpTPg \
-         xmpDM \
-         pdf \
-         photoshop \
-         crs \
-         tiff \
-         exif \
-         aux \
-         iptc
+SCHEMA = xmp_dc \
+         xmp_xmp \
+         xmp_xmpRights \
+         xmp_xmpMM \
+         xmp_xmpBJ \
+         xmp_xmpTPg \
+         xmp_xmpDM \
+         xmp_pdf \
+         xmp_photoshop \
+         xmp_crs \
+         xmp_tiff \
+         xmp_exif \
+         xmp_aux \
+         xmp_iptc
 
 TAGLIST = ../../src/taglist
 
@@ -108,12 +109,12 @@
 	@rm -f $@.tmp
 
 $(SCHEMA): $(TAGLIST)
-	@echo Generating xmp_$@ table...
-	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f xmp.awk > xmp_$@.xml
-	@xsltproc xmp.xsl xmp_$@.xml > xmp_$@.tmp
-	@sed "s/report1/xmp_$@/" xmp_$@.tmp > __xmp_$@__
-	@touch xmp_$@
-	@rm -f xmp_$@.tmp
+	@echo Generating $@ table...
+	@echo $@ | sed "s/xmp_//" | xargs $(TAGLIST) | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | awk -f xmp.awk > $@.xml
+	@xsltproc xmp.xsl $@.xml > $@.tmp
+	@sed "s/report1/$@/" $@.tmp > __$@__
+	@touch $@
+	@rm -f $@.tmp
 
 $(TAGLIST): 
 	$(error File $(TAGLIST) does not exist. Did you build the library and programs in the src/ directory?)
@@ -124,9 +125,8 @@
 
 clean: mostlyclean
 	rm -f $(TABLES:%=__%__) __Iptc__
-	rm -f $(TABLES) Iptc
-	rm -f $(SCHEMA:%=__xmp_%__)
-	rm -f $(SCHEMA:%=xmp_%)
+	rm -f $(SCHEMA:%=__%__)
+	rm -f $(TABLES) $(SCHEMA) Iptc
 	rm -f *.html
 
 distclean: clean

=== xmpsdk/src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1366 $
+# Version:   $Rev: 1573 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   30-Sep-07, ahu: created
 #
@@ -86,6 +86,10 @@
 
 # For a debug build, replace -DNDEBUG=1 with -DDEBUG=1 -D_DEBUG=1
 CPPFLAGS += -I../include -funsigned-char -DNDEBUG=1 $(EXPAT_CPPFLAGS)
+ifdef HAVE_STDINT
+	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
+endif
+
 LDFLAGS += $(EXPAT_LDFLAGS)
 LIBS += $(EXPAT_LIBS)
